/**
 * example union type taken from book »C kurz & gut«
 */
union t_foo {
    struct {
        unsigned char b0_2  : 3;    /**< bits 2 to 0    */
        signed   char b3_7  : 5;    /**< bits 7 to 3    */
        unsigned char       : 7;
        unsigned char b15   : 1;    /**< MSB            */
    } bar;                          /**< bitfield       */
    unsigned short baz;             /**< 2 byte integer */
};

/**
 * second example slightly changed
 */
union t_foo2 {
    struct {
        unsigned char       : 3;
        signed   char b3_7  : 5;    /**< bits 7 to 3    */
        unsigned char       : 7;
        unsigned char b15   : 1;    /**< MSB            */
    } bar;                          /**< bitfield       */
    unsigned short baz;             /**< 2 byte integer */
};

